Authorize Submit
POST
/oauth/authorize
const url = 'https://example.com/oauth/authorize';const options = { method: 'POST', headers: {'Content-Type': 'application/x-www-form-urlencoded'}, body: new URLSearchParams({ action: 'approve', client_id: '', code_challenge: '', code_challenge_method: 'S256', email: '', password: '', redirect_uri: '', resource: '', response_type: '', scope: '', state: '', totp_code: '' })};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/oauth/authorize \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data action=approve \ --data client_id= \ --data code_challenge= \ --data code_challenge_method=S256 \ --data email= \ --data password= \ --data redirect_uri= \ --data resource= \ --data response_type= \ --data scope= \ --data state= \ --data totp_code=Request Body
Section titled “Request Body”Media typeapplication/x-www-form-urlencoded
Body_authorize_submit_oauth_authorize_post
object
action
Action
string
client_id
Client Id
string
code_challenge
Code Challenge
string
code_challenge_method
Code Challenge Method
string
email
Email
string
password
Password
string
redirect_uri
Redirect Uri
string
resource
Resource
string
response_type
Response Type
string
scope
Scope
string
state
State
string
totp_code
Totp Code
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}